#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main() {
    char *line = NULL;
    size_t line_length = 0;
    ssize_t num_characters;

    printf("Enter a line: ");
    num_characters = getline(&line, &line_length, stdin);
    if (num_characters == -1) {
        printf("Failed to read line\n");
        return 1;
    }

    char *token = strtok(line, " \n");
    while (token != NULL) {
        printf("%s\n", token);
        token = strtok(NULL, " \n");
    }

    free(line);
    return 0;
}
